/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.hhn;

/**
 *
 * @author LH
 */
public class Upperlowercase
{
        public static void main(String[] args)
    {
        String a = "";
        System.out.println(a+"\n"+upperlower(a));
    }  
        
    public static String upperlower(String in)
    {
        return in.length()<2?in.toUpperCase():in.substring(0,1).toUpperCase()+upperlowerB(in.substring(1));  
    }
    public static String upperlowerB(String in)
    {
        return in.length()<2?in.toLowerCase():in.substring(0,1).toLowerCase()+upperlower(in.substring(1));  
    }
}
